import server from '@/utils/request'

//新增
interface Addobj{
  userId:String	                    //预约人ID
  uname:String	                    //预约人姓名
  phone:String	                    //手机号码
  plateNum:String	                //车牌号
  stationCode:String	            //换电站编码
  stationName:String	            //换电站名称
  swapDay:String	                //预约换电日期,示例值(yyyyMMdd)
  swapDuration:String	            //预约换电时间段,示例值(8:00-10:00)
  status:String|Number	            //状态：1-预约成功，2-到店使用，3-取消，4-过期
}

export function addhdz(data:Addobj) {
  return server.request({
    url: '/cloud/order/swap/pre/add',
    method: 'post',
    data
  })
}

//修改
export function update(data:Addobj) {
  return server.request({
    url: '/cloud/order/swap/update',
    method: 'post',
    data
  })
}

//查询
interface Querydata{
  pageSize:String|Number	    //每页条数
  pageNo:String|Number	        //页数
  userId:String                 //车主id    
  status:String                 //状态
}
export function getjqrlist(params:Querydata) {
  return server.request({
    url: '/cloud/order/swap/pre/list',
    method: 'get',
    params
  })
}

//取消预约
export function delhdz(id:string) {
  return server.request({
    url: '/cloud/order/swap/pre/cancel',
    method: 'post',
    data:{
      id
    }
  })
}